
Core - Task # 57231

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-03-24 Assigned To: Oliver Hader
Updated: 2014-03-25 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Refactor element dependency resolving
Description

Dependency element resolving of nested data structures currently is used in CommandMap only. However the logic can be used for
other tasks as well, like e.g. showing nested structures in the workspaces module. Callback methods are extracted to the new
ElementEntityProcessor to reduce further code duplication.

Associated revisions
Revision 2b4f543f - 2014-03-25 15:51 - Oliver Hader

[TASK] Refactor element dependency resolving

Dependency element resolving of nested data structures currently
is used in CommandMap only. However the logic can be used for
other tasks as well, like e.g. showing nested structures in the
workspaces module. Callback methods are extracted to the new
ElementEntityProcessor to reduce further code duplication.

Resolves: #57231
Releases: 6.2
Change-Id: If588e2c644fb897f0ac5f7aaf4f341ce8ac5c232
Reviewed-on: https://review.typo3.org/28700
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-03-24 14:47 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28700

#2 - 2014-03-24 21:28 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28700

#3 - 2014-03-24 22:44 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28700

#4 - 2014-03-24 23:07 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28700

#5 - 2014-03-25 14:16 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28700

#6 - 2014-03-25 16:31 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b4f543f56fb36916443150a2d09e240a26d06b8.
